RunReveal

ManagedEnrichmentCreate creates a new RunReveal-managed enrichment configuration.

ManagedEnrichmentCreate creates a new RunReveal-managed enrichment configuration.

POST
/managedenrichments/create

Request Body

application/jsonRequired

createdAtobject

descriptionstring

displayNamestring

idstring

isActiveboolean

namestring

pathstring

rulesarray<object>

sourcesarray<string>

typestring

updatedAtobject

workspaceIDstring

curl -X POST "https://api.runreveal.com/managedenrichments/create" \
  -H "Content-Type: application/json" \
  -d '{
    "createdAt": {},
    "description": "string",
    "displayName": "string",
    "id": "string",
    "isActive": true,
    "name": "string",
    "path": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ],
    "sources": [
      "string"
    ],
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": {},
    "description": "string",
    "displayName": "string",
    "id": "string",
    "isActive": true,
    "name": "string",
    "path": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ],
    "sources": [
      "string"
    ],
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

ManagedEnrichmentDelete deletes a RunReveal-managed enrichment configuration.

ManagedEnrichmentDelete deletes a RunReveal-managed enrichment configuration.

DELETE
/managedenrichments/delete
curl -X DELETE "https://api.runreveal.com/managedenrichments/delete?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "createdAt": {},
      "description": "string",
      "displayName": "string",
      "id": "string",
      "isActive": true,
      "name": "string",
      "path": "string",
      "rules": [
        {
          "data": {
            "property1": "string",
            "property2": "string"
          },
          "id": "string",
          "pattern": "string",
          "type": "string"
        }
      ],
      "sources": [
        "string"
      ],
      "type": "string",
      "updatedAt": {},
      "workspaceID": "string"
    }
  ],
  "success": true
}

ManagedEnrichmentGet returns a RunReveal-managed enrichment configuration by ID.

ManagedEnrichmentGet returns a RunReveal-managed enrichment configuration by ID.

GET
/managedenrichments/get
curl -X GET "https://api.runreveal.com/managedenrichments/get?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": {},
    "description": "string",
    "displayName": "string",
    "id": "string",
    "isActive": true,
    "name": "string",
    "path": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ],
    "sources": [
      "string"
    ],
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}

ManagedEnrichmentList lists the RunReveal-managed enrichment configurations.

ManagedEnrichmentList lists the RunReveal-managed enrichment configurations.

GET
/managedenrichments/list
curl -X GET "https://api.runreveal.com/managedenrichments/list"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    {
      "createdAt": {},
      "description": "string",
      "displayName": "string",
      "id": "string",
      "isActive": true,
      "name": "string",
      "path": "string",
      "rules": [
        {
          "data": {
            "property1": "string",
            "property2": "string"
          },
          "id": "string",
          "pattern": "string",
          "type": "string"
        }
      ],
      "sources": [
        "string"
      ],
      "type": "string",
      "updatedAt": {},
      "workspaceID": "string"
    }
  ],
  "success": true
}

ManagedEnrichmentSubscribe operation

GET
/managedenrichments/subscriptions/create
curl -X GET "https://api.runreveal.com/managedenrichments/subscriptions/create?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {},
  "success": true
}

ManagedEnrichmentUnsubscribe operation

DELETE
/managedenrichments/subscriptions/delete
curl -X DELETE "https://api.runreveal.com/managedenrichments/subscriptions/delete?id=string"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {},
  "success": true
}

ManagedEnrichmentSubscriptionList lists the IDs of RunReveal-managed enrichments the workspace is subscribed to.

ManagedEnrichmentSubscriptionList lists the IDs of RunReveal-managed enrichments the workspace is subscribed to.

GET
/managedenrichments/subscriptions/list
curl -X GET "https://api.runreveal.com/managedenrichments/subscriptions/list"

Success

{
  "error": "string",
  "errorCode": "string",
  "result": [
    "string"
  ],
  "success": true
}

ManagedEnrichmentUpdate updates an existing RunReveal-managed enrichment configuration.

ManagedEnrichmentUpdate updates an existing RunReveal-managed enrichment configuration.

POST
/managedenrichments/update

Request Body

application/jsonRequired

createdAtobject

descriptionstring

displayNamestring

idstring

isActiveboolean

namestring

pathstring

rulesarray<object>

sourcesarray<string>

typestring

updatedAtobject

workspaceIDstring

curl -X POST "https://api.runreveal.com/managedenrichments/update" \
  -H "Content-Type: application/json" \
  -d '{
    "createdAt": {},
    "description": "string",
    "displayName": "string",
    "id": "string",
    "isActive": true,
    "name": "string",
    "path": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ],
    "sources": [
      "string"
    ],
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  }'

Success

{
  "error": "string",
  "errorCode": "string",
  "result": {
    "createdAt": {},
    "description": "string",
    "displayName": "string",
    "id": "string",
    "isActive": true,
    "name": "string",
    "path": "string",
    "rules": [
      {
        "data": {
          "property1": "string",
          "property2": "string"
        },
        "id": "string",
        "pattern": "string",
        "type": "string"
      }
    ],
    "sources": [
      "string"
    ],
    "type": "string",
    "updatedAt": {},
    "workspaceID": "string"
  },
  "success": true
}